## jcc 2.5.1

=== DESCRIPTION ===

For changes since earlier releases, see:
  http://svn.apache.org/repos/asf/lucene/pylucene/tags/pylucene_3_0_1/jcc/CHANGES

JCC is a C++ code generator for producing the code necessary to call
into Java classes from CPython via Java's Native Invocation Interface (JNI).

JCC generates C++ wrapper classes that hide all the gory details of JNI
access as well Java memory and object reference management.

JCC generates CPython types that make these C++ classes accessible from a
Python interpreter. JCC attempts to make these Python types pythonic by
detecting iterators and property accessors. Iterators and mappings may also
be declared to JCC.

JCC has been built on Python 2.3, 2.4, 2.5 and 2.6 and has been used with
various Java Runtime Environments such as Sun Java 1.4, 1.5 and 1.6, Apple's
Java 1.4 and 1.5 on Mac OS X and open source Java OpenJDK 1.7 builds.

JCC is supported on Mac OS X, Linux, Solaris and Windows.

JCC is written in C++ and Python. It uses Java's reflection API to do its
job and needs a Java Runtime Environment to be present to operate.

JCC is built with distutils or setuptools::

    python setup.py build
    sudo python setup.py install

Setuptools is required to build JCC on Python 2.3.

Except for Mac OS X - where Apple's Java comes pre-installed in a known
framework location - JCC's setup.py file needs to be edited before building
JCC to specify the location of the Java Runtime Environment's header files
and libraries.

The svn sources for JCC are available at:
  http://svn.apache.org/repos/asf/lucene/pylucene/trunk/jcc/

For more information about JCC see:
  http://lucene.apache.org/pylucene/jcc/index.html

JCC comes with an Apache 2.0 copyright license:
  http://www.apache.org/licenses/LICENSE-2.0

## jcc 2.5

=== debian/changelog ===
jcc (2.5-3) unstable; urgency=low

  * Merge patch from Ubuntu by Onkar Shinde:
    - When CPU type is i686, use the JRE lib directory corresponding to i386.
      Fixes FTBFS on lpia.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 31 Jan 2010 18:00:47 -0800

jcc (2.5-2) unstable; urgency=low

  * Update avoid-ftbfs-unknown-archs.patch to work around bug #565367.

 -- Ludovico Cavedon <cavedon@debian.org>  Thu, 14 Jan 2010 22:14:27 -0800

jcc (2.5-1) unstable; urgency=low

  * Package takeover because of MIA maintainer.
  * Add avoid-ftbfs-unknown-archs.patch to avoid FTBFS on many archs.
  * Add Vcs-* headers.
  * Update copyright file to DEP-5.
  * Update to Standards-Version 3.8.4 and debhelper compat 7.
  * Update to source package version 3.0 (quilt).

 -- Ludovico Cavedon <cavedon@debian.org>  Tue, 12 Jan 2010 01:15:19 -0800

jcc (2.5-0.1) unstable; urgency=low

  * Non-maintainer upload (closes: 562405).
  * New upstream release (closes: 533486).
  * Add watch file.
  * Depend on python-all-dev so it will be built against all supported python
    versions.
  * Disable shared mode, as it requires patched setuptools (and lower depends
    on python-setuptools version).
  * Fix separators in JCC_LFLAGS.
  * Add depends on ${misc:Depends} required for debhelper.
  * Remove debina/pycompat and add X.-Python-Version control fileds.
  * Add lintian override for libjava.so from openjdk, until bug #562622 is
    solved.
  * Update copyright file (new Apache 2 license).

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 26 Dec 2009 18:50:19 +0100

jcc (1.9-8) unstable; urgency=low

  * Add ${python:Depends} (closes: 497131)

 -- Jeff Breidenbach <jab@debian.org>  Sat, 30 Aug 2008 18:31:31 -0700

jcc (1.9-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * use -fdollars-in-identifiers to allow build on arm*. (closes: 494690)

 -- Riku Voipio <riku.voipio@iki.fi>  Fri, 22 Aug 2008 22:45:46 +0300

jcc (1.9-7) unstable; urgency=low

  * Fix important debian/changelog typo

 -- Jeff Breidenbach <jab@debian.org>  Sun, 10 Aug 2008 11:29:55 -0700

jcc (1.9-6) unstable; urgency=low

  * Fix powerpc build problem (closes: 494496)

 -- Jeff Breidenbach <jab@debian.org>  Sun, 10 Aug 2008 10:45:47 -0700

jcc (1.9-5) unstable; urgency=low

  * fix build on non-AMD64 (closes: 493992)

 -- Jeff Breidenbach <jab@debian.org>  Thu, 07 Aug 2008 21:54:09 -0700

jcc (1.9-4) unstable; urgency=low

  * fix a dependency bug

 -- Jeff Breidenbach <jab@debian.org>  Wed, 23 Jul 2008 12:33:40 -0700

jcc (1.9-3) unstable; urgency=low

  * Move to main using OpenJDK

 -- Jeff Breidenbach <jab@debian.org>  Tue, 22 Jul 2008 21:20:20 -0700

jcc (1.9-2) unstable; urgency=low

  * Add a file to /etc/ld.so.conf.d 

 -- Jeff Breidenbach <jab@debian.org>  Mon, 02 Jun 2008 16:24:31 -0700

jcc (1.9-1) unstable; urgency=low

  * Initial release.

 -- Jeff Breidenbach <jab@debian.org>  Sun, 27 Apr 2008 21:33:03 -0700

=== debian/control ===
Source: jcc
Section: python
Priority: extra
Maintainer: Ludovico Cavedon <cavedon@debian.org>
Build-Depends: cdbs, debhelper (>= 7), python-setuptools (>= 0.6a9),
  openjdk-6-jdk, python-dev, python-support (>= 0.5.3), python-all-dev
Standards-Version: 3.8.3
Homepage: http://lucene.apache.org/pylucene/jcc/
Vcs-Git: git://git.debian.org/git/collab-maint/jcc.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/jcc.git
XS-Python-Version: >= 2.3

Package: jcc
Architecture: any
Depends: openjdk-6-jdk, ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Description: code generator producing a Python extension from Java classes
 JCC is a code generator for producing a Python extension providing
 access to a set of Java classes. For every Java class, JCC generates
 a C++ wrapper class that hides the gory details necessary for
 accessing methods and fields from C++ via Java's Native Invocation
 Interface.  JCC can also generate C++ wrappers that make it possible
 to access these classes from Python.  When generating Python
 wrappers, JCC produces a complete Python extension via the distutils
 package that makes it readily available to the Python interpreter.
 JCC is a project maintained by the Open Source Applications
 Foundation.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH_CPU ?=$(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)

#deb_build_arch_cpu gives correct path on most architectures but powerpc needs special casing
JAVAARCH :=$(DEB_BUILD_ARCH_CPU)

ifeq ($(DEB_BUILD_ARCH_CPU),powerpc)
  JAVAARCH :=ppc
endif

ifeq ($(DEB_BUILD_ARCH_CPU),i686)
  JAVAARCH :=i386
endif

export JCC_ARGSEP=;
export JCC_LFLAGS := -L/usr/lib/jvm/java-6-openjdk/jre/lib/$(JAVAARCH);-L/usr/lib/jvm/java-6-openjdk/jre/lib/$(JAVAARCH)/server;-Wl,-rpath=/usr/lib/jvm/java-6-openjdk/jre/lib/$(JAVAARCH):/usr/lib/jvm/java-6-openjdk/jre/lib/$(JAVAARCH)/server;-ljava
export JCC_CFLAGS := -fdollars-in-identifiers

# For shared mode we need patch http://bugs.python.org/setuptools/issue43 for setuptools to be applied
export NO_SHARED=1

include /usr/share/cdbs/1/rules/debhelper.mk
DEB_PYTHON_SYSTEM = pysupport
include /usr/share/cdbs/1/class/python-distutils.mk

binary-post-install/jcc::
	rm -rf debian/jcc/usr/share/pyshared/jcc/patches

clean::
	rm -rf build/*
	rm -f jcc/config.py

## jcc 2.5.1

=== debian/changelog ===
jcc (2.5.1-2) unstable; urgency=low

  * enabled shared mode - patched setuptools required
    http://lucene.apache.org/pylucene/jcc/documentation/install.html

 -- Gerald Hochegger <gerald.hochegger@uni-klu.ac.at>  Tue, 06 Apr 2010 23:34:19 +0200

jcc (2.5.1-1) unstable; urgency=low

  * New upstream release.
  * Update to Standards-Version 3.8.4.
  * Add support for SH4 architecture. Thanks to Nobuhiro Iwamatsu
    (closes: 571059).

 -- Ludovico Cavedon <cavedon@debian.org>  Thu, 18 Mar 2010 23:20:13 -0700

=== debian/rules ===
--- 
+++ 
@@ -13,19 +13,23 @@
   JAVAARCH :=i386
 endif
 
+ifeq ($(DEB_BUILD_ARCH_CPU),sh4)
+  JAVAARCH :=sh
+endif
+
 export JCC_ARGSEP=;
 export JCC_LFLAGS := -L/usr/lib/jvm/java-6-openjdk/jre/lib/$(JAVAARCH);-L/usr/lib/jvm/java-6-openjdk/jre/lib/$(JAVAARCH)/server;-Wl,-rpath=/usr/lib/jvm/java-6-openjdk/jre/lib/$(JAVAARCH):/usr/lib/jvm/java-6-openjdk/jre/lib/$(JAVAARCH)/server;-ljava
 export JCC_CFLAGS := -fdollars-in-identifiers
 
 # For shared mode we need patch http://bugs.python.org/setuptools/issue43 for setuptools to be applied
-export NO_SHARED=1
+#export NO_SHARED=1
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 DEB_PYTHON_SYSTEM = pysupport
 include /usr/share/cdbs/1/class/python-distutils.mk
 
-binary-post-install/jcc::
-	rm -rf debian/jcc/usr/share/pyshared/jcc/patches
+#binary-post-install/jcc::
+#	rm -rf debian/jcc/usr/share/pyshared/jcc/patches
 
 clean::
 	rm -rf build/*

## jcc 2.6

=== debian/changelog ===
jcc (2.6-1) unstable; urgency=low

  * New upstream release.
  * Fix typo in README.Debian.
  * Refresh avoid-ftbfs-unknown-archs.patch.
  * Update Standards-Version to 3.9.0.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 18 Jul 2010 11:16:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ludovico Cavedon <cavedon@debian.org>
 Build-Depends: cdbs, debhelper (>= 7), python-setuptools (>= 0.6a9),
   openjdk-6-jdk, python-dev, python-support (>= 0.5.3), python-all-dev
-Standards-Version: 3.8.3
+Standards-Version: 3.9.0
 Homepage: http://lucene.apache.org/pylucene/jcc/
 Vcs-Git: git://git.debian.org/git/collab-maint/jcc.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/jcc.git

=== debian/rules ===
--- 
+++ 
@@ -22,14 +22,14 @@
 export JCC_CFLAGS := -fdollars-in-identifiers
 
 # For shared mode we need patch http://bugs.python.org/setuptools/issue43 for setuptools to be applied
-#export NO_SHARED=1
+export NO_SHARED=1
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 DEB_PYTHON_SYSTEM = pysupport
 include /usr/share/cdbs/1/class/python-distutils.mk
 
-#binary-post-install/jcc::
-#	rm -rf debian/jcc/usr/share/pyshared/jcc/patches
+binary-post-install/jcc::
+	rm -rf debian/jcc/usr/share/pyshared/jcc/patches
 
 clean::
 	rm -rf build/*

## jcc 2.7

=== debian/changelog ===
jcc (2.7-1build1) natty; urgency=low

  * No change rebuild to fix import failure (LP: #768733)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 22 Apr 2011 00:51:37 -0400

jcc (2.7-1) experimental; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.0.

 -- Ludovico Cavedon <cavedon@debian.org>  Fri, 17 Dec 2010 23:15:17 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ludovico Cavedon <cavedon@debian.org>
 Build-Depends: cdbs, debhelper (>= 7), python-setuptools (>= 0.6a9),
   openjdk-6-jdk, python-dev, python-support (>= 0.5.3), python-all-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://lucene.apache.org/pylucene/jcc/
 Vcs-Git: git://git.debian.org/git/collab-maint/jcc.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/jcc.git

## jcc 2.9

=== debian/changelog ===
jcc (2.9-1ubuntu1) oneiric; urgency=low

  * Link to libjvm.so instead of libjava.so (LP: #848931):
    - debian/rules: Switched JCC_LFLAGS -ljava -> -ljvm to pickup 
      JNI_GetDefaultJavaVMInitArgs symbol directly.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Sep 2011 15:37:42 +0100

jcc (2.9-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 3.9.2.

 -- Ludovico Cavedon <cavedon@debian.org>  Thu, 07 Jul 2011 22:03:05 -0700

jcc (2.8-1) unstable; urgency=low

  * New upstream release.

 -- Ludovico Cavedon <cavedon@debian.org>  Thu, 14 Apr 2011 23:53:06 -0700

jcc (2.7-2) unstable; urgency=low

  * Upload to unstable.
  * Drop cdbs and switch to debhelper 8 and dh_python2.

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 02 Apr 2011 15:03:16 -0700

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: jcc
 Section: python
 Priority: extra
-Maintainer: Ludovico Cavedon <cavedon@debian.org>
-Build-Depends: cdbs, debhelper (>= 7), python-setuptools (>= 0.6a9),
-  openjdk-6-jdk, python-dev, python-support (>= 0.5.3), python-all-dev
-Standards-Version: 3.9.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ludovico Cavedon <cavedon@debian.org>
+Build-Depends: debhelper (>= 8), python-setuptools (>= 0.6a9),
+  openjdk-6-jdk, python-all-dev
+Standards-Version: 3.9.2
 Homepage: http://lucene.apache.org/pylucene/jcc/
 Vcs-Git: git://git.debian.org/git/collab-maint/jcc.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/jcc.git
-XS-Python-Version: >= 2.3
+X-Python-Version: >= 2.3
 
 Package: jcc
 Architecture: any
 Depends: openjdk-6-jdk, ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
-XB-Python-Version: ${python:Versions}
+Breaks: ${python:Breaks}
 Description: code generator producing a Python extension from Java classes
  JCC is a code generator for producing a Python extension providing
  access to a set of Java classes. For every Java class, JCC generates

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH_CPU ?=$(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)

#deb_build_arch_cpu gives correct path on most architectures but powerpc needs special casing
JAVAARCH :=$(DEB_BUILD_ARCH_CPU)

ifeq ($(DEB_BUILD_ARCH_CPU),powerpc)
  JAVAARCH :=ppc
endif

ifeq ($(DEB_BUILD_ARCH_CPU),i686)
  JAVAARCH :=i386
endif

ifeq ($(DEB_BUILD_ARCH_CPU),sh4)
  JAVAARCH :=sh
endif

export JCC_ARGSEP=;
export JCC_LFLAGS := -L/usr/lib/jvm/java-6-openjdk/jre/lib/$(JAVAARCH);-L/usr/lib/jvm/java-6-openjdk/jre/lib/$(JAVAARCH)/server;-Wl,-rpath=/usr/lib/jvm/java-6-openjdk/jre/lib/$(JAVAARCH):/usr/lib/jvm/java-6-openjdk/jre/lib/$(JAVAARCH)/server;-ljvm
export JCC_CFLAGS := -fdollars-in-identifiers

# For shared mode we need patch http://bugs.python.org/setuptools/issue43 for setuptools to be applied
export NO_SHARED=1

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/jcc/usr/share/pyshared/jcc/patches

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build/*
	rm -f jcc/config.py

## jcc 2.11

=== debian/changelog ===
jcc (2.11-3ubuntu0.1) precise-proposed; urgency=low

  * import-_jcc.patch: import used _jcc in __init__.py (LP: #1085256)
    fixes pylucene build failure

 -- Julian Taylor <jtaylor@ubuntu.com>  Sat, 01 Dec 2012 00:10:45 +0100

jcc (2.11-3) unstable; urgency=low

  * Link against libjvm.so (LP: #848931, thanks to James Page @ Ubuntu).

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 29 Oct 2011 15:57:10 -0700

jcc (2.11-2) unstable; urgency=low

  * Fix arch-dependent paths in rules file (thanks to Nobuhiro Iwamatsu,
    Closes: #644585).

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 09 Oct 2011 14:50:26 -0700

jcc (2.11-1) unstable; urgency=low

  * New upstream release.
  * Change paths to openjdk libraries (for openjdk >= 6b23~pre9-1~,
    Closes: #642814).

 -- Ludovico Cavedon <cavedon@debian.org>  Tue, 27 Sep 2011 23:51:41 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Ludovico Cavedon <cavedon@debian.org>
 Build-Depends: debhelper (>= 8), python-setuptools (>= 0.6a9),
-  openjdk-6-jdk, python-all-dev
+  openjdk-6-jdk (>= 6b23~pre9-1~), python-all-dev
 Standards-Version: 3.9.2
 Homepage: http://lucene.apache.org/pylucene/jcc/
 Vcs-Git: git://git.debian.org/git/collab-maint/jcc.git
@@ -13,7 +13,8 @@
 
 Package: jcc
 Architecture: any
-Depends: openjdk-6-jdk, ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
+Depends: openjdk-6-jdk (>= 6b23~pre9-1~), ${shlibs:Depends}, ${python:Depends},
+ ${misc:Depends}
 Breaks: ${python:Breaks}
 Description: code generator producing a Python extension from Java classes
  JCC is a code generator for producing a Python extension providing

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_CPU ?=$(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

#DEB_HOST_ARCH_CPU gives correct path on most architectures but powerpc needs special casing
JAVAARCH :=$(DEB_HOST_ARCH_CPU)

# i386
# armel, arm
# powerpc, ppc
# , sh

ifeq ($(DEB_HOST_ARCH_CPU),powerpc)
  JAVAARCH :=ppc
endif

ifeq ($(DEB_HOST_ARCH_CPU),sh4)
  JAVAARCH :=sh
endif

JAVA_LIB_PATH := /usr/lib/jvm/java-6-openjdk-$(DEB_HOST_ARCH)/jre/lib/$(JAVAARCH)

export JCC_ARGSEP=;
export JCC_LFLAGS := -L$(JAVA_LIB_PATH);-ljava;-L$(JAVA_LIB_PATH)/server;-ljvm;-Wl,-rpath=$(JAVA_LIB_PATH):$(JAVA_LIB_PATH)/server

export JCC_CFLAGS := -fdollars-in-identifiers
export JCC_JDK := /usr/lib/jvm/java-6-openjdk-$(DEB_HOST_ARCH)

# For shared mode we need patch http://bugs.python.org/setuptools/issue43 for setuptools to be applied
export NO_SHARED=1

%:
	dh $@ --with python2 --buildsystem=python_distutils

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/jcc/usr/share/pyshared/jcc/patches

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build/*
	rm -f jcc/config.py

## jcc 2.12

=== debian/changelog ===
jcc (2.12-1) unstable; urgency=low

  * Imported Upstream version 2.12

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 01 Jan 2012 00:52:12 +0100

## jcc 2.13

=== debian/changelog ===
jcc (2.13-1ubuntu1) quantal; urgency=low

  * Transition package to use openjdk-7:
    - d/control: BD on openjdk-7-jdk, switch runtime dependency
      to openjdk-7-jre.
    - d/rules: Switch openjdk-6 paths to openjdk-7 equivalents. 

 -- James Page <james.page@ubuntu.com>  Thu, 09 Aug 2012 11:31:15 +0100

jcc (2.13-1) unstable; urgency=low

  * Imported Upstream version 2.13
  * Update Standrads-Version to 3.9.3.
  * Use debhelper compat 9.
  * Update copyright file to machine-readable format 1.0.

 -- Ludovico Cavedon <cavedon@debian.org>  Mon, 25 Jun 2012 00:27:38 -0700

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Ludovico Cavedon <cavedon@debian.org>
-Build-Depends: debhelper (>= 8), python-setuptools (>= 0.6a9),
-  openjdk-6-jdk (>= 6b23~pre9-1~), python-all-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), python-setuptools (>= 0.6a9),
+  openjdk-7-jdk, python-all-dev
+Standards-Version: 3.9.3
 Homepage: http://lucene.apache.org/pylucene/jcc/
 Vcs-Git: git://git.debian.org/git/collab-maint/jcc.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/jcc.git
@@ -13,7 +13,7 @@
 
 Package: jcc
 Architecture: any
-Depends: openjdk-6-jdk (>= 6b23~pre9-1~), ${shlibs:Depends}, ${python:Depends},
+Depends: openjdk-7-jdk, ${shlibs:Depends}, ${python:Depends},
  ${misc:Depends}
 Breaks: ${python:Breaks}
 Description: code generator producing a Python extension from Java classes

=== debian/rules ===
--- 
+++ 
@@ -19,13 +19,13 @@
   JAVAARCH :=sh
 endif
 
-JAVA_LIB_PATH := /usr/lib/jvm/java-6-openjdk-$(DEB_HOST_ARCH)/jre/lib/$(JAVAARCH)
+JAVA_LIB_PATH := /usr/lib/jvm/java-7-openjdk-$(DEB_HOST_ARCH)/jre/lib/$(JAVAARCH)
 
 export JCC_ARGSEP=;
 export JCC_LFLAGS := -L$(JAVA_LIB_PATH);-ljava;-L$(JAVA_LIB_PATH)/server;-ljvm;-Wl,-rpath=$(JAVA_LIB_PATH):$(JAVA_LIB_PATH)/server
 
 export JCC_CFLAGS := -fdollars-in-identifiers
-export JCC_JDK := /usr/lib/jvm/java-6-openjdk-$(DEB_HOST_ARCH)
+export JCC_JDK := /usr/lib/jvm/java-7-openjdk-$(DEB_HOST_ARCH)
 
 # For shared mode we need patch http://bugs.python.org/setuptools/issue43 for setuptools to be applied
 export NO_SHARED=1

## jcc 2.17

=== debian/changelog ===
jcc (2.17-1ubuntu1) trusty; urgency=medium

  * Fix java arch directory on arm64 and ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Mar 2014 15:07:14 +0100

jcc (2.17-1) unstable; urgency=low

  * Imported Upstream version 2.17
  * Refresh avoid-ftbfs-unknown-archs.patch.
  * Update Standards-Version to 3.9.4.
  * Change Vcs fields to canonical format.

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 21 Sep 2013 02:10:36 -0700

jcc (2.13-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Transition package to use openjdk-7:
    - d/control: BD on openjdk-7-jdk, switch runtime dependency
      to openjdk-7-jre.
    - d/rules: Switch openjdk-6 paths to openjdk-7 equivalents.
    Thanks to James Page (Closes: #684384)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 13 Jun 2013 09:22:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: jcc
 Section: python
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ludovico Cavedon <cavedon@debian.org>
+Maintainer: Ludovico Cavedon <cavedon@debian.org>
 Build-Depends: debhelper (>= 9), python-setuptools (>= 0.6a9),
   openjdk-7-jdk, python-all-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://lucene.apache.org/pylucene/jcc/
-Vcs-Git: git://git.debian.org/git/collab-maint/jcc.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/jcc.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/jcc.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/jcc.git
 X-Python-Version: >= 2.3
 
 Package: jcc

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,14 @@
 
 ifeq ($(DEB_HOST_ARCH_CPU),sh4)
   JAVAARCH :=sh
+endif
+
+ifeq ($(DEB_HOST_ARCH_CPU),arm64)
+  JAVAARCH :=aarch64
+endif
+
+ifeq ($(DEB_HOST_ARCH_CPU),ppc64el)
+  JAVAARCH :=ppc64le
 endif
 
 JAVA_LIB_PATH := /usr/lib/jvm/java-7-openjdk-$(DEB_HOST_ARCH)/jre/lib/$(JAVAARCH)

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/J/JCC/JCC-(.*)\.tar\.gz

## jcc 2.20

=== debian/changelog ===
jcc (2.20-1) unstable; urgency=medium

  * Imported Upstream version 2.20.
  * Fix java arch directory on arm64 and ppc64el, thanks to Matthias Klose
    <doko@ubuntu.com> and Fernando Seiti Furusato <ferseiti@br.ibm.com>
    (Closes: #754099).
  * Update Standards-Version to 3.9.6.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 21 Sep 2014 12:19:26 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ludovico Cavedon <cavedon@debian.org>
 Build-Depends: debhelper (>= 9), python-setuptools (>= 0.6a9),
   openjdk-7-jdk, python-all-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://lucene.apache.org/pylucene/jcc/
 Vcs-Git: git://anonscm.debian.org/collab-maint/jcc.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/jcc.git

=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,7 @@
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_ARCH_CPU ?=$(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 
-#DEB_HOST_ARCH_CPU gives correct path on most architectures but powerpc needs special casing
 JAVAARCH :=$(DEB_HOST_ARCH_CPU)
-
-# i386
-# armel, arm
-# powerpc, ppc
-# , sh
 
 ifeq ($(DEB_HOST_ARCH_CPU),powerpc)
   JAVAARCH :=ppc
@@ -24,7 +18,7 @@
 endif
 
 ifeq ($(DEB_HOST_ARCH_CPU),ppc64el)
-  JAVAARCH :=ppc64le
+  JAVAARCH :=ppc64
 endif
 
 JAVA_LIB_PATH := /usr/lib/jvm/java-7-openjdk-$(DEB_HOST_ARCH)/jre/lib/$(JAVAARCH)

## jcc 2.21

=== debian/changelog ===
jcc (2.21-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/rules: Fix build on ppc64el by changing JAVAARCH variable to ppc64le.
    Thanks to Fernando Seiti Furusato for the report and patch.
    (Closes: #799713)
  * Build-depend on default-jdk instead of openjdk-7-jdk.
    Depend on default-jdk | java7-sdk for jcc binary package.
    Thanks to Matthias Klose for the report. (Closes: #814165)
  * d/rules: Use default-java instead of a specific JDK version.
  * d/control: Use https and cgit.
  * Ensure that the package can be built twice in a row by removing
    JCC.egg-info/SOURCES.txt in dh_auto_clean override too.

 -- Markus Koschany <apo@debian.org>  Mon, 21 Mar 2016 19:53:15 +0100

jcc (2.21-1) unstable; urgency=low

  [ Fernando Seiti Furusato ]
  * Increase JVM stack size on ppc64el (Closes: #768064, LP: #1371761).

  [ Ludovico Cavedon ]
  * Imported Upstream version 2.21
  * Update watch file to use pypi.debian.net

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 20 Sep 2015 15:29:59 -0700

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: extra
 Maintainer: Ludovico Cavedon <cavedon@debian.org>
 Build-Depends: debhelper (>= 9), python-setuptools (>= 0.6a9),
-  openjdk-7-jdk, python-all-dev
+  default-jdk, python-all-dev
 Standards-Version: 3.9.6
 Homepage: http://lucene.apache.org/pylucene/jcc/
-Vcs-Git: git://anonscm.debian.org/collab-maint/jcc.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/jcc.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/jcc.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/jcc.git
 X-Python-Version: >= 2.3
 
 Package: jcc
 Architecture: any
-Depends: openjdk-7-jdk, ${shlibs:Depends}, ${python:Depends},
+Depends: default-jdk | java7-sdk, ${shlibs:Depends}, ${python:Depends},
  ${misc:Depends}
 Breaks: ${python:Breaks}
 Description: code generator producing a Python extension from Java classes

=== debian/rules ===
--- 
+++ 
@@ -18,16 +18,16 @@
 endif
 
 ifeq ($(DEB_HOST_ARCH_CPU),ppc64el)
-  JAVAARCH :=ppc64
+  JAVAARCH :=ppc64le
 endif
 
-JAVA_LIB_PATH := /usr/lib/jvm/java-7-openjdk-$(DEB_HOST_ARCH)/jre/lib/$(JAVAARCH)
+JAVA_LIB_PATH := /usr/lib/jvm/default-java/jre/lib/$(JAVAARCH)
 
 export JCC_ARGSEP=;
 export JCC_LFLAGS := -L$(JAVA_LIB_PATH);-ljava;-L$(JAVA_LIB_PATH)/server;-ljvm;-Wl,-rpath=$(JAVA_LIB_PATH):$(JAVA_LIB_PATH)/server
 
 export JCC_CFLAGS := -fdollars-in-identifiers
-export JCC_JDK := /usr/lib/jvm/java-7-openjdk-$(DEB_HOST_ARCH)
+export JCC_JDK := /usr/lib/jvm/default-java
 
 # For shared mode we need patch http://bugs.python.org/setuptools/issue43 for setuptools to be applied
 export NO_SHARED=1
@@ -43,3 +43,4 @@
 	dh_auto_clean
 	rm -rf build/*
 	rm -f jcc/config.py
+	$(RM) JCC.egg-info/SOURCES.txt

## jcc 2.22

=== debian/changelog ===
jcc (2.22-1) unstable; urgency=medium

  * Imported Upstream version 2.22 (Closes: #838263).
  * Update ppc64el-stacksize.patch to fix FTBFS on powerpc, thanks to
    Dmitry Nezhevenko (Closes: #833857).
  * Add gnukfreebsd.patch to fix FTBFS on kfreebsd, thanks to
    Dmitry Nezhevenko (Closes: #834102).
  * Refresh patches.
  * Update Standards-Version to 3.9.8.
  * Add build-dependency on dh-python.
  * Remove reference to invalid python:Breaks variable.
  * Remove no longer needed binary-or-shlib-defines-rpath lintian override.
  * Disable automatic building jcc-dbgsym for now, as _jcc.so is built without
    .debug section (despite -g being present).

 -- Ludovico Cavedon <cavedon@debian.org>  Wed, 07 Dec 2016 00:52:54 -0800

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,13 @@
 Section: python
 Priority: extra
 Maintainer: Ludovico Cavedon <cavedon@debian.org>
-Build-Depends: debhelper (>= 9), python-setuptools (>= 0.6a9),
-  default-jdk, python-all-dev
-Standards-Version: 3.9.6
+Build-Depends:
+  dh-python,
+  debhelper (>= 9.20160114),
+  default-jdk,
+  python-all-dev,
+  python-setuptools (>= 0.6a9),
+Standards-Version: 3.9.8
 Homepage: http://lucene.apache.org/pylucene/jcc/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/jcc.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/jcc.git
@@ -14,7 +18,6 @@
 Architecture: any
 Depends: default-jdk | java7-sdk, ${shlibs:Depends}, ${python:Depends},
  ${misc:Depends}
-Breaks: ${python:Breaks}
 Description: code generator producing a Python extension from Java classes
  JCC is a code generator for producing a Python extension providing
  access to a set of Java classes. For every Java class, JCC generates

=== debian/rules ===
--- 
+++ 
@@ -39,6 +39,11 @@
 	dh_auto_install
 	rm -rf debian/jcc/usr/share/pyshared/jcc/patches
 
+override_dh_strip:
+	# _jcc.so does not seem to contain the debug section, so disable
+	# building of a debug package, for now.
+	dh_strip --no-automatic-dbgsym
+
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf build/*

## jcc 3.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 
 For changes since earlier releases, see:
-  http://svn.apache.org/repos/asf/lucene/pylucene/tags/pylucene_3_0_1/jcc/CHANGES
+  http://svn.apache.org/repos/asf/lucene/pylucene/trunk/jcc/CHANGES
 
 JCC is a C++ code generator for producing the code necessary to call
 into Java classes from CPython via Java's Native Invocation Interface (JNI).
@@ -13,9 +13,10 @@
 detecting iterators and property accessors. Iterators and mappings may also
 be declared to JCC.
 
-JCC has been built on Python 2.3, 2.4, 2.5 and 2.6 and has been used with
-various Java Runtime Environments such as Sun Java 1.4, 1.5 and 1.6, Apple's
-Java 1.4 and 1.5 on Mac OS X and open source Java OpenJDK 1.7 builds.
+JCC has been built on Python 2.3 to 2.7, on Python 3.6, and has been used
+with various Java Runtime Environments such as Sun Java 1.5 and 1.6, Apple's
+Java 1.5 and 1.6 on Mac OS X, open source Java OpenJDK 1.7 builds as well as
+Oracle Java 1.7 and 1.8.
 
 JCC is supported on Mac OS X, Linux, Solaris and Windows.
 
@@ -29,10 +30,8 @@
 
 Setuptools is required to build JCC on Python 2.3.
 
-Except for Mac OS X - where Apple's Java comes pre-installed in a known
-framework location - JCC's setup.py file needs to be edited before building
-JCC to specify the location of the Java Runtime Environment's header files
-and libraries.
+JCC's setup.py file needs to be edited before building JCC to specify the
+location of the Java Runtime Environment's header files and libraries.
 
 The svn sources for JCC are available at:
   http://svn.apache.org/repos/asf/lucene/pylucene/trunk/jcc/

=== debian/changelog ===
jcc (3.6-1) unstable; urgency=medium

  [ Emmanuel Arias ]
  * New upstream version 3.6
  * New maintainer (Closes: #922568):
    - Add myself to Maintainer field on d/control.
  * Bump debhelper to 12 (from 9.2):
    - Update debhelper to debhelper-compat on d/control Build-Depends.
  * Update Vcs-* repository to salsa repository.
  * Add myself on debian/* files copyright on d/copyright.
  * Bump Standard-Version to 4.4.1
  * d/control: add autopkgtest-pkg-python
  * Remove Python2 support.
  * d/control: Remove X-Python-Version for Python 2
  * d/salsa-ci.yml: enable salsa-ci.
  * d/gbp.conf: add gbp.conf file.

  [Ludovico Cavedon]
  * Fix jdk path with Java 9 (Closes: #875579).
  * Fall-back to client-mode JVM is the server-mode one is not available
    (Closes: #885955).
  * Refresh patches.
  * Create python-jcc and python3-jcc packages, and make jcc a transitional
    one. Expand the "default-jdk" symlink at build time, so the run-time
    dependency is on the correct JDK version.
  * Make sure to depend on the JRE package we built against. Do not link
    against libjava as it is not necessary.
  * Change priority extra to optional.
  * No longer remove JCC.egg-info/SOURCES.txt during clean.
  * Add lintian-overrides for JRE rpath (needed because libjvm.so does not
    have an SONAME).
  * Build library with hardening=+all hardening flags.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sat, 15 Feb 2020 23:19:15 -0300

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export DH_VERBOSE = 1
export PYBUILD_NAME = jcc

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_CPU ?=$(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

JAVAARCH :=$(DEB_HOST_ARCH_CPU)

ifeq ($(DEB_HOST_ARCH_CPU),powerpc)
  JAVAARCH :=ppc
endif

ifeq ($(DEB_HOST_ARCH_CPU),sh4)
  JAVAARCH :=sh
endif

ifeq ($(DEB_HOST_ARCH_CPU),arm64)
  JAVAARCH :=aarch64
endif

ifeq ($(DEB_HOST_ARCH_CPU),ppc64el)
  JAVAARCH :=ppc64le
endif

ifneq ($(wildcard /usr/lib/jvm/default-java/jre),)
    JAVA_LIB_PATH := /usr/lib/jvm/default-java/jre/lib/$(JAVAARCH)
else
    JAVA_LIB_PATH := /usr/lib/jvm/default-java/lib
endif

# Expand the default-java symlink, so the runtime dependecy is on the correct
# JDK version.
JAVA_LIB_PATH := $(realpath $(JAVA_LIB_PATH))

# Use the server mode JVM, but if not available fall back to client mode
ifneq ($(wildcard $(JAVA_LIB_PATH)/server/libjvm.so),)
    JVM_LIB_PATH := $(JAVA_LIB_PATH)/server
else
    JVM_LIB_PATH := $(JAVA_LIB_PATH)/client
endif

JRE_PACKAGE := $(shell dpkg -S $(JVM_LIB_PATH)/libjvm.so | cut -d : -f 1)

export JCC_ARGSEP=;
export JCC_LFLAGS := -L$(JVM_LIB_PATH);-ljvm;-Wl,-rpath=$(JVM_LIB_PATH)

export JCC_CFLAGS := -fdollars-in-identifiers
export JCC_JDK := /usr/lib/jvm/default-java

# For shared mode we need patch http://bugs.python.org/setuptools/issue43 for setuptools to be applied
export NO_SHARED=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/jcc/usr/share/pyshared/jcc/patches

override_dh_gencontrol:
	dh_gencontrol -- -Vjre:Depends="$(JRE_PACKAGE)"

override_dh_strip:
	# _jcc.so does not seem to contain the debug section, so disable
	# building of a debug package, for now.
	dh_strip --no-automatic-dbgsym

override_dh_dwz:
	# Ignore this step because *.so does not have debug.section
	true

override_dh_auto_clean:
	# dh_auto_clean
	rm -rf build/*
	rm -f jcc/config.py

=== debian/watch ===
version=3
https://pypi.debian.net/JCC/JCC-(.*)\.tar\.gz

## jcc 3.12

=== debian/changelog ===
jcc (3.12-1) unstable; urgency=medium

  * New upstream release.
  * d/patches/avoid-ftbfs-unknown-archs.patch: Update patch according to the
    new upstream changes.
  * d/control: Bump Standards-Version to 4.6.1 (from 4.6.0.1; no further
    changes).

 -- Emmanuel Arias <eamanu@yaerobi.com>  Thu, 26 May 2022 12:20:33 -0300

jcc (3.11-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Remove unnecessary X-Python{,3}-Version field in debian/control.
  * Use secure URI in Homepage field.
  * Rely on pre-initialized dpkg-architecture variables.

  [ Emmanuel Arias ]
  * New upstream release.
  * d/patches: Update patches.
  * wrap-and-sort.
  * d/control: Bump debhelper-compat to 13. No changes needed.
  * d/control: Bump Standards-Version to 4.6.0.1. No changes needed.
  * d/control: Add Rules-Requires-Root: no in source stanza.
  * d/python-jcc.lintian-overrides: Update lintian error name
    binary-or-shlib-defines-rpath => custom-library-search-path.
    - Update lintian-override file python-jcc.lintian-overrides =>
      python3-jcc.lintian-overrides.
  * d/watch: Bump version file to 4.
  * d/copyright: Use https in Source section.
  * d/copyright: Update copyright year.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Thu, 21 Apr 2022 16:17:45 -0300

=== debian/control ===
Source: jcc
Section: oldlibs
Priority: optional
Maintainer: Emmanuel Arias <eamanu@yaerobi.com>
Build-Depends: debhelper-compat (= 13),
               default-jdk,
               dh-python,
               dpkg-dev (>= 1.16.1.1),
               python3-all-dev,
               python3-setuptools,
Standards-Version: 4.6.1
Homepage: https://lucene.apache.org/pylucene/jcc/
Vcs-Git: https://salsa.debian.org/debian/jcc.git
Vcs-Browser: https://salsa.debian.org/debian/jcc
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-jcc
Architecture: any
Depends: ${jre:Depends},
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Description: generator for a Python extension from Java classes (Python 3)
 JCC is a code generator for producing a Python extension providing
 access to a set of Java classes. For every Java class, JCC generates
 a C++ wrapper class that hides the gory details necessary for
 accessing methods and fields from C++ via Java's Native Invocation
 Interface.  JCC can also generate C++ wrappers that make it possible
 to access these classes from Python.  When generating Python
 wrappers, JCC produces a complete Python extension via the distutils
 package that makes it readily available to the Python interpreter.
 JCC is a project maintained by the Open Source Applications
 Foundation.
 .
 This package contains the generator for Python 3.

## jcc 3.13

=== debian/changelog ===
jcc (3.13-1) unstable; urgency=medium

  * New upstream release (Closes: #1023906).
  * d/control: Bump Standards-Version to 4.6.1.1 (from 4.6.1; no further
    changes).

 -- Emmanuel Arias <eamanu@yaerobi.com>  Mon, 14 Nov 2022 12:41:36 -0300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dpkg-dev (>= 1.16.1.1),
                python3-all-dev,
                python3-setuptools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.1.1
 Homepage: https://lucene.apache.org/pylucene/jcc/
 Vcs-Git: https://salsa.debian.org/debian/jcc.git
 Vcs-Browser: https://salsa.debian.org/debian/jcc

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,7 @@
 export DH_VERBOSE = 1
 export PYBUILD_NAME = jcc
 
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_HOST_ARCH_CPU ?=$(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
+include /usr/share/dpkg/architecture.mk
 
 JAVAARCH :=$(DEB_HOST_ARCH_CPU)

=== debian/watch ===
version=4
https://pypi.debian.net/JCC/JCC-(.*)\.tar\.gz
